package io.renren.modules.admin.lecture.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.lecture.dao.LectureDao;
import io.renren.modules.admin.lecture.entity.LectureEntity;
import io.renren.modules.admin.lecture.service.LectureService;


@Service("lectureService")
public class LectureServiceImpl extends ServiceImpl<LectureDao, LectureEntity> implements LectureService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<LectureEntity> page = this.page(
                new Query<LectureEntity>().getPage(params),
                new QueryWrapper<LectureEntity>()
        );

        return new PageUtils(page);
    }

}